Description

Some more default styles could be added to standard package. Several candidates are available, e.g. 

https://github.com/charleyglynn/OSM-Shapefile-QGIS-stylesheets

http://anitagraser.com/2012/02/25/light-styles-for-osm-layers-in-qgis/

etc.

History

#1 - 2015-03-11 11:02 AM - Anita Graser

Do you mean symbols or styles? Styles depend a lot on the lineage of the OSM data (Shapefile export, SpatiaLite from ogr2ogr, ... all different).

#2 - 2015-03-12 12:39 AM - Paolo Cavallini

I mean both, with a focus on styles. I understand there are different export methods. I think we could choose one, and add the styles adapted to it.

Geofabrik seems a good candidate.

#3 - 2015-03-13 12:15 PM - Anita Graser

Do we already ship whole styles with QGIS? How will the user know that there is a style e.g. for OSM Shapefiles from Geofabrik?

#4 - 2015-03-13 12:19 PM - Paolo Cavallini

I think adding symbols would already be a good step forward. Adding styles would be an useful improvement. We could add a note in the manual about the

usage of styles. The name could also help to figure it out (e.g. geofabrik_osm_polygon.qml).

Thanks for your thoughts.

#5 - 2015-03-20 12:15 AM - Paolo Cavallini

one more: 

https://github.com/mixedbredie/OSM-Shapefile-QGIS-stylesheets/tree/master/QML%20files/greyscale

#6 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#7 - 2018-02-25 07:34 PM - Paolo Cavallini

- Description updated
Still to be done in QGIS 3
